> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siray.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Google Omni 1.1 Flash ref2v



## OpenAPI

````yaml openapi-spec/google-omni-1.1-flash-ref2v.json POST /v1/video/generations
openapi: 3.1.0
info:
  description: >-
    Google Omni 1.1 Flash ref2v by Google is a reference-to-video AI model for
    reference-guided video. It delivers high-quality results for rapid iteration
    and dependable production workflows. *** For 'extend' task type, the
    billable duration is calculated based on the `duration` value plus the
    length of the input video.
  summary: API for Google Omni 1.1 Flash ref2v model
  title: Google Omni 1.1 Flash ref2v API
  version: 1.0.0
servers:
  - description: Model Verse API Server
    url: https://api.siray.ai
security: []
tags:
  - description: >-
      Google Omni 1.1 Flash ref2v - Google Omni 1.1 Flash ref2v by Google is a
      reference-to-video AI model for reference-guided video. It delivers
      high-quality results for rapid iteration and dependable production
      workflows. *** For 'extend' task type, the billable duration is calculated
      based on the `duration` value plus the length of the input video.
    name: Google Omni 1.1 Flash ref2v
paths:
  /v1/video/generations:
    post:
      tags:
        - Google Omni 1.1 Flash ref2v
      summary: Generate video
      description: Generate a video using the Google Omni 1.1 Flash ref2v model
      operationId: video_model-6nob5qrd4gfmsfug
      requestBody:
        content:
          application/json:
            example:
              aspect_ratio: '16:9'
              duration: 3
              images:
                - example_value
              model: google/google-omni-1.1-flash-ref2v
              prompt: example_value
              size: 360p
              task_type: reference_to_video
              videos:
                - example_value
            schema:
              description: Request format for video generation models
              properties:
                aspect_ratio:
                  description: Aspect ratio
                  enum:
                    - '16:9'
                    - '9:16'
                  type: string
                duration:
                  description: Fixed duration
                  enum:
                    - 3
                    - 4
                    - 5
                    - 6
                    - 7
                    - 8
                    - 9
                    - 10
                  type: integer
                images:
                  description: Array of input images, which can be data URL or image URL
                  items:
                    type: string
                  maxItems: 10
                  type: array
                model:
                  description: Model name to use for the request
                  enum:
                    - google/google-omni-1.1-flash-ref2v
                  type: string
                prompt:
                  description: Text prompt for generation
                  type: string
                size:
                  description: Size
                  enum:
                    - 360p
                    - 720p
                    - 1080p
                    - 4k
                  type: string
                task_type:
                  description: Task type for the video generation
                  enum:
                    - reference_to_video
                    - text_to_video
                    - image_to_video
                    - edit
                    - extend
                  type: string
                videos:
                  description: Array of input video URLs
                  items:
                    type: string
                  maxItems: 3
                  type: array
              required:
                - model
                - prompt
                - duration
                - size
                - aspect_ratio
              title: Video Generation Request
              type: object
        description: Request payload
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskResponse'
          description: Successful response
      security:
        - bearerAuth: []
components:
  schemas:
    TaskResponse:
      description: Standard async task creation response
      properties:
        code:
          description: Status code returned by the service
          example: success
          type: string
        data:
          description: Response payload containing task details
          properties:
            task_id:
              description: Identifier of the created task
              type: string
          required:
            - task_id
          type: object
        fail_code:
          description: Failure code if the task submission did not succeed
          type: string
        message:
          description: Additional information about the request result
          type: string
      required:
        - data
        - code
        - message
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: API Key
      description: Bearer authentication using API key
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.